List valid sites for a given department

Permission Level: Read

GET /users/department/{departmentName}/sites

Operation id: DepartmentService_ListValidSites

Tags: DepartmentService

Parameters

Path parameters

NameTypeRequiredDescription
departmentNamestringYesName of the department. Required: true

Query parameters

NameTypeRequiredDescription
nextPageTokenstringNoNext page token. Required: false
pageSizeinteger (int32)NoNumber of sites returned per page. Required: false, Default: 10
tenantIdstringNoTenant of the department. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
sitesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "sites": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "parent": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "ancestors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "descendants": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "displayName": {
            "type": "string"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "enabledScopes": {
            "type": "object"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "domain": {
            "type": "string"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          },
          "description": {
            "type": "string"
          },
          "expiration": {
            "type": "object"
          },
          "siteType": {
            "type": "string"
          },
          "siteTier": {
            "type": "string"
          },
          "isHierarchyNode": {
            "type": "boolean",
            "description": "True if is a Retail Operating Model \"Hierarchy Node\", false if it is a Retail Operating Model \"Site\".\nDefaults to a Retail Operating Model \"Site\" if not included."
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}